﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Runtime.InteropServices;
using System.IO;

namespace MW_HouseholdLedger
{
    public static class MWGetINI
    {
        private const String PrivateProfilePath = "INI";
        private const int BufferSize = 1024;

        [DllImport("kernel32.dll")]
        private static extern int GetPrivateProfileString(String section, String key, String def, StringBuilder retVal, int size, String filePath);

        [DllImport("kernel32.dll")]
        private static extern long WritePrivateProfileString(String section, String key, String val, String filePath);
        
        public static int MWGetPrivateProfileString(String section,String key,String def,StringBuilder retVal,String filePath) {
            DirectoryInfo DI = new DirectoryInfo(PrivateProfilePath);
            if (!DI.Exists)
            {
                DI.Create();
            }
            return GetPrivateProfileString(section, key, def, retVal, BufferSize, DI.FullName + "\\" + filePath);
        }
        public static long MWWritePrivateProfileString(String section, String key, String val, String filePath) {
            DirectoryInfo DI = new DirectoryInfo(PrivateProfilePath);
            if (!DI.Exists)
            {
                DI.Create();
            }
            return WritePrivateProfileString(section, key, val, DI.FullName + "\\" + filePath);
        }
    }
}
