﻿using System;
using System.Collections.Generic;
using System.Text;
using System.IO;

namespace MW_HouseholdLedger
{
    /// <summary>
    /// 로그 클래스 입니다.
    /// </summary>
    public class MWLogWriter
    {
        private const String LogDirectoryPath = "LOG";
        private static MWLogWriter oLogInstance = null;

        /// <summary>
        /// 생성자
        /// </summary>
        /// 

        public MWLogWriter()
        {
            DirectoryInfo DI = new DirectoryInfo(LogDirectoryPath);
            if (!DI.Exists)
            {
                DI.Create();
            }
        }

        /// <summary>
        /// 로그 남기는 메소드
        /// </summary>
        /// <param name="sLogString">로그 메시지</param>
        /// 

        public void LogWrite(String sLogString)
        {
            DateTime DT = DateTime.Now;
            String sFileName = String.Format("{0:0000}{1:00}{2:00}.txt", DT.Year, DT.Month, DT.Day);
            sFileName = LogDirectoryPath + "\\" + sFileName;
            FileInfo FI = new FileInfo(sFileName);
            if (!FI.Exists)
            {
                FI.Create();
            }
            String cTime;
            cTime = String.Format("{0:00}:{1:00}:{2:00}", DT.Hour, DT.Minute, DT.Second);
            try
            {
                FileStream FS = new FileStream(FI.FullName, FileMode.Append);
                StreamWriter SW = new StreamWriter(FS);
                SW.WriteLine(cTime + "\t" + sLogString);
                SW.Close();
                FS.Close();

                SW.Dispose();
                FS.Dispose();

                SW = null;
                FS = null;

            }
            catch(Exception) { 
                
            }
            FI = null;
        }

        /// <summary>
        /// 인스턴스화 메소드
        /// </summary>
        /// <returns></returns>
        public static MWLogWriter Instance()
        {
            if (oLogInstance == null)
            {
                oLogInstance = new MWLogWriter();
            }
            return oLogInstance;
        }
    }
}
